Holger's Java API

## com.antelmann.util
Interface CascadingFilter<T>

All Superinterfaces:
  Filter<T>

All Known Implementing Classes:
  DBClassStoreCache.PrefetchedFilter, FullTextSearchFilter, OffsetFilter, PreparedStatementEntryFilter, PropertyEntryFilter, RandomFilter, SQLComboFilter, SQLDirectQueryEntryFilter, SQLMapFilter, SQLStubFilter, TopicMapFilter

    public interface CascadingFilter<T>

extends Filter<T>

a filter that relies on another embedded filter for further filtering (which in turn may yet be another CascadingFilter)

Since:
  05.08.2008, 10:55:44
Author:
  Holger Antelmann

Field Summary

Fields inherited from interface com.antelmann.util.Filter
`EXCLUDE_ALL_FILTER, INCLUDE_ALL_FILTER`

Method Summary
`Filter<? super T>` `getInnerFilter()`
`void` `setInnerFilter(Filter<? super T> filter)`

Methods inherited from interface com.antelmann.util.Filter
`accept`

Method Detail

### getInnerFilter

    Filter<? super T> getInnerFilter()

### setInnerFilter

    void setInnerFilter(Filter<? super T> filter)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads